怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/douyin-search/search" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"keyword":"美食"}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/douyin-search/search",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"keyword": "美食",
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/douyin-search/search", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"keyword": "美食"
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-16 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-16
{
"data": [
{
"type": "video",
"awemeId": "7673495764546424100",
"url": "https://www.douyin.com/video/76734957…",
"description": "比烧烤还好吃!直接香迷糊的孜然土豆牛…",
"createdAt": "2026-08-13T13:13:01Z",
"durationSeconds": 58,
"likeCount": 27629,
"commentCount": 452,
"shareCount": 22440,
"collectCount": 31845,
"hashtags": [
"抖音精选App美食录",
"今天晚餐长这样",
"下酒菜"
],
"musicId": "7673495826060135204",
"musicTitle": "@西***",
"musicAuthor": "<masked>",
"authorSecUid": "<masked>",
"authorUid": "<masked>",
"authorNickname": "<masked>",
"authorDouyinId": "<masked>",
"authorAvatar": "<masked>",
"authorGender": "<masked>",
"authorBio": "<masked>",
"authorIpLocation": "<masked>",
"authorRegion": "<masked>",
"authorFollowerCount": 21004,
"authorVerified": null,
"coverUrl": "https://p11-sign.douyinpic.com/tos-cn…",
"videoUrl": "https://v3-search.douyinvod.com/36931…",
"imageUrls": null
},
{
"type": "video",
"awemeId": "7695699449444816817",
"url": "https://www.douyin.com/video/76956994…",
"description": "秋冬来上这么一锅,满满都是爱吃的食材…",
"createdAt": "2026-10-12T08:44:17Z",
"durationSeconds": 31.4,
"likeCount": 1302685,
"commentCount": 18383,
"shareCount": 856640,
"collectCount": 518033,
"hashtags": [
"虾与牛肉的碰撞",
"砂锅煲",
"牛肉煲"
],
"musicId": "7695699324788263706",
"musicTitle": "@叠***",
"musicAuthor": "<masked>",
"authorSecUid": "<masked>",
"authorUid": "<masked>",
"authorNickname": "<masked>",
"authorDouyinId": "<masked>",
"authorAvatar": "<masked>",
"authorGender": "<masked>",
"authorBio": "<masked>",
"authorIpLocation": "<masked>",
"authorRegion": "<masked>",
"authorFollowerCount": 1291318,
"authorVerified": null,
"coverUrl": "https://p11-sign.douyinpic.com/tos-cn…",
"videoUrl": "https://v3-search.douyinvod.com/2797a…",
"imageUrls": null
}
],
"cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.017500",
"balance_usd": "9.875000",
"items": 2
}
}字段 28
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | video |
| awemeId | string | 7673495764546424100 |
| url | string | https://www.douyin.com/video/7673495764546424100 |
| description | string | 比烧烤还好吃!直接香迷糊的孜然土豆牛肉 食材:牛里脊或牛排肉:400克、土豆:300克、大蒜:约4瓣、小葱:15克、白芝… |
| createdAt | string | 2026-08-13T13:13:01Z |
| durationSeconds | number | 58 |
| likeCount | number | 27629 |
| commentCount | number | 452 |
| shareCount | number | 22440 |
| collectCount | number | 31845 |
| hashtags | array | ["抖音精选App美食录","今天晚餐长这样","下酒菜"] |
| musicId | string | 7673495826060135204 |
| musicTitle | string | @西*** |
| musicAuthor | string | <masked> |
| authorSecUid | string | <masked> |
| authorUid | string | <masked> |
| authorNickname | string | <masked> |
| authorDouyinId | string | <masked> |
| authorAvatar | string | <masked> |
| authorGender | string | <masked> |
| authorBio | string | <masked> |
| authorIpLocation | string | <masked> |
| authorRegion | string | <masked> |
| authorFollowerCount | number | 21004 |
| authorVerified | null | null |
| coverUrl | string | https://p11-sign.douyinpic.com/tos-cn-i-dy/b5c24b4ef89b4caf8… |
| videoUrl | string | https://v3-search.douyinvod.com/36931969edca57bb9ace028ae252… |
| imageUrls | null | null |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。单次请求返回的条数不会超过这个数。 | 5 |
| keyword | string | 是 | 搜索关键词,中文关键词效果最好,例如 "美食"(关键词留空时搜索它)。 | 美食 |
翻页
把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。
JavaScript
const params = {"keyword":"美食"};
const records = [];
let cursor = null;
do {
const response = await fetch("https://api.silklinedata.com/v1/douyin-search/search", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
});
const answer = await response.json();
records.push(...answer.data);
cursor = answer.cursor;
} while (cursor);
console.log(records.length);一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口一页最多 10 条,每页最低收费 $0.0175;要 100 条的请求会取 10 页。
- 1 条:最多 $0.0175
- 20 条:最多 $0.081
- 100 条:最多 $0.405
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「搜索视频」要传哪些参数?
必填:keyword。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。
能接着往后取吗?
能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。
怎么收费?
每条 记录 $0.00405。每页最低收费 $0.0175:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.405。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。